# MPI_Group_rank

## NAME

MPI_Group_rank − Returns the rank of the calling process in the given group.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Group_rank(MPI_Group group, int *rank)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_GROUP_RANK(GROUP, RANK, IERROR)

| INTEGER |  |  | GROUP, RANK, IERROR

## C++ Syntax

#include <mpi.h>
int Group::Get_rank() const

## INPUT PARAMETERS

| group |  | Group (handle). |

## OUTPUT PARAMETERS

| rank |  | Rank of the calling process in group, or MPI_UNDEFINED if the process is not a member (integer).
| IERROR |  | Fortran only: Error status (integer).

## DESCRIPTION

MPI_Group_rank returns as the output parameter rank the rank of the calling process in group. If the process is not a member of group then MPI_UNDEFINED is returned.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index